Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List customer intake

GET/workspaces/{organizationId}/customers/{id}/intake
Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Customer intake items (inbound mail filed on the record)

itemsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
customerIdstringrequired
sourcestringrequired
inboxIdstring | nullrequired
fromAddressstringrequired
fromNamestring | nullrequired
toAddressstringrequired
subjectstring | nullrequired
textstring | nullrequired
htmlstring | nullrequired
externalIdstringrequired
messageIdstring | nullrequired
attachmentsobject[] | nullrequired
Show properties
Array of object
keystring | nullrequired
filenamestringrequired
contentTypestringrequired
sizenumberrequired
receivedAtstringrequired
createdAtstringrequired
404

Customer not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/customers/string/intake'
Response
{
  "items": [
    {
      "id": "string",
      "organizationId": "string",
      "customerId": "string",
      "source": "string",
      "inboxId": "string",
      "fromAddress": "string",
      "fromName": "string",
      "toAddress": "string",
      "subject": "string",
      "text": "string",
      "html": "string",
      "externalId": "string",
      "messageId": "string",
      "attachments": [
        {
          "key": "string",
          "filename": "string",
          "contentType": "string",
          "size": 0
        }
      ],
      "receivedAt": "string",
      "createdAt": "string"
    }
  ]
}